import Vue from "vue";
import VueRouter, { RouteConfig } from "vue-router";

Vue.use(VueRouter);

const routes: Array<RouteConfig> = [
	{
		  path: "/jobs",
		  name: "jobs",
		  component: () =>import("../views/Jobs.vue")
	},
	{
		  path: "/diagramView/:data/:templateId",
		  name: "diagramView",
		  component: () =>import("../views/DiagramView.vue")
	},
	{
		  path: "/diagramTemplate",
		  name: "diagramTemplate",
		  component: () =>import("../views/DiagramTemplate.vue")
	},
	{
		  path: "/diagramLegend",
		  name: "diagramLegend",
		  component: () =>import("../views/DiagramLegend.vue")
	},
	{
		  path: "/legendIcon",
		  name: "legendIcon",
		  component: () =>import("../views/LegendIcon.vue")
	},
	{
		  path: "/diagram",
		  name: "diagram",
		  component: () =>import("../views/Diagram.vue")
	},	
	{
		  path: "/map",
		  name: "map",
		  component: () =>import("../views/Map.vue")
	},
	{
		  path: "/map0",
		  name: "map0",
		  component: () =>import("../views/Map0.vue")
	}
];

const router = new VueRouter({
  mode: "hash",
  base: process.env.BASE_URL,
  routes
});

export default router;
